Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.transport
Interface Destination

All Superinterfaces:
  Observable

    public interface Destination

extends Observable

A Destination is a transport-level endpoint capable of receiving unsolicited incoming messages from different peers.

Method Summary
`org.apache.cxf.ws.addressing.EndpointReferenceType` | `getAddress()`
`Conduit` | `getBackChannel(Message inMessage, Message partialResponse, org.apache.cxf.ws.addressing.EndpointReferenceType address)` Retreive a back-channel Conduit, which must be policy-compatible with the current Message and associated Destination.
`void` | `shutdown()` Shutdown the Destination, i.e.

Methods inherited from interface org.apache.cxf.transport.Observable
`setMessageObserver`

Method Detail

### getAddress

    org.apache.cxf.ws.addressing.EndpointReferenceType getAddress()

  Returns:
    the reference associated with this Destination

### getBackChannel

    Conduit getBackChannel(Message inMessage,
                           Message partialResponse,
                           org.apache.cxf.ws.addressing.EndpointReferenceType address)
                           throws java.io.IOException

  Retreive a back-channel Conduit, which must be policy-compatible with the current Message and associated Destination. For example compatible Quality of Protection must be asserted on the back-channel. This would generally only be an issue if the back-channel is decoupled.

  Parameters:
    `inMessage` - the current message (null to indicate a disassociated back-channel.
    `partialResponse` - in the decoupled case, this is expected to be the outbound Message to be sent over the in-built back-channel.
    `address` - the backchannel address (null to indicate anonymous)
  Returns:
    a suitable Conduit
  Throws:
    `java.io.IOException`

### shutdown

    void shutdown()

  Shutdown the Destination, i.e. stop accepting incoming messages.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

-